I have created a simple flutter app and its work perfectly, so recently I added to it a section to show google adMob (bottomNavigationBarm widget) I used google_mobile_ads package, the ads show normaly in all android version except in android 6 and 9 ,the ads wont shows up

my defaultConfig in app/build.gradle is :

defaultConfig {
       minSdkVersion 23 
       targetSdkVersion 31 
       versionCode flutterVersionCode.toInteger()
       versionName flutterVersionName
       multiDexEnabled true
       manifestPlaceholders += [someKey: "@string/some_value"]
 }

hope someone can help me